Spec Reference:

Description

We have rate_ctr for counters which is somewhat documented in "Common variables" subsection of "Osmocom Control Interface”
chapter is osmo-gsm-manuals. The stat_item.h is unfortunately not documented at all. It's very similar in use but unlike rate_ctr it
store raw value of some metric. It can be accessed the same way as rate_ctr (see sh asciidoc) vty command and should be similarly
documented.

Related issues:
Related to libosmocore - Support #2677: Make stat_item available over ctrl in... New 11/23/2017

History

#1 - 11/23/2017 06:24 PM - msuraev
- Related to Support #2677: Make stat_item available over ctrl interface added

#2 - 03/16/2018 07:56 PM - laforge

- Assignee set to daniel

#3 - 03/19/2018 04:39 PM - daniel

- Status changed from New to In Progress

Just had a quick look at this and wanted to get osmo-gsm-manuals running locally, but for some reason xmllint doesn't download the docbook.dtd

xmllint --xinclude --postvalid --noout osmobts-vty-reference.xml

error : Unknown IO error

osmobts-vty-reference.xml:10: warning: failed to load external entity "http://docbook.org/xml/5.0/dtd/docbook.
datd"

1>

error : Unknown IO error

warning: failed to load external entity "http://docbook.org/xml/5.0/dtd/docbook.dtd"

| believe it has something to do with the server redirecting to https

#4 - 03/19/2018 04:52 PM - laforge
On Mon, Mar 19, 2018 at 04:39:26PM +0000, daniel [REDMINE] wrote:

Just had a quick look at this and wanted to get osmo-gsm-manuals running locally, but for some reason xmllint doesn't download the
docbook.dtd

yes. See https:/twitter.com/LaFQrge/status/974998668846731265
and https://osmocom.org/issues/3072 as well as https:/github.com/gentoo/dotnet/issues/178

| believe it has something to do with the server redirecting to https

workaround is to install docbook5-xml locally via apt
